| Face Engine SDK 5.31.2 A face detection, recognition and tracking engine.

Public Member Functions | List of all members
fsdk::IDepthLivenessEstimator Struct Referenceabstract
Estimators

Depth estimator interface. More...

`#include <IDepthLivenessEstimator.h>`

Inheritance diagram for fsdk::IDepthLivenessEstimator:

## Public Member Functions
virtual Result< FSDKError > | estimate (const Image &depth, DepthLivenessEstimation &out) const noexcept=0
| Check whether or not depth map corresponds to the real person. More...
virtual Result< FSDKError > | estimate (Span< const Image > depths, Span< DepthLivenessEstimation > outs) const noexcept=0
| Check whether several depth maps correspond to real persons. More...
virtual Result< FSDKError > | validate (Span< const Image > depths, Span< Result< FSDKError >> errors) const noexcept=0
| Validates input of multiple depth maps of face warps in a single function call. More...
Public Member Functions inherited from fsdk::IRefCounted
virtual int32_t | retain () noexcept=0
| Increase strong reference count. More...
virtual int32_t | retainLocked () noexcept=0
| Increase strong reference count thread safely. More...
virtual int32_t | release () noexcept=0
| Decrease strong reference count. More...
virtual int32_t | getRefCount () const noexcept=0
| Get actual strong reference count. More...
virtual int32_t | retainWeak () noexcept=0
| Increase weak reference count. More...
virtual int32_t | releaseWeak () noexcept=0
| Decrease weak reference count. More...
virtual int32_t | getWeakRefCount () const noexcept=0
| Get actual weak reference count. More...

## Detailed Description

Depth estimator interface.

Note
  This estimator is designed for face analysis using depth map. It works with 16 bit depth map of face warp.

## Member Function Documentation

## ◆ estimate() [1/2]

virtual Result<FSDKError> fsdk::IDepthLivenessEstimator::estimate | ( | const Image & | depth,
|  | DepthLivenessEstimation & | out
| ) |  | const
| pure virtual noexcept

Check whether or not depth map corresponds to the real person.

Parameters

  [in] | depth | depth image with warped face.
  [out] | out | DepthEstimation output structure.

Returns
  Result with error code.

See also
  DepthLivenessEstimation, Image, Result and FSDKError for details.

Note
  depth warp format must be R16,

See also
  Format.

## ◆ estimate() [2/2]

virtual Result<FSDKError> fsdk::IDepthLivenessEstimator::estimate | ( | Span< const Image > | depths,
|  | Span< DepthLivenessEstimation > | outs
| ) |  | const
| pure virtual noexcept

Check whether several depth maps correspond to real persons.

Parameters

  [in] | depths | depth images with warped faces.
  [out] | outs | liveness estimations.

Returns
  Result with error code.

See also
  DepthLivenessEstimation, Image, Result and FSDKError for details.

Note
  depth warp format must be R16,

See also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

## ◆ validate()

virtual Result<FSDKError> fsdk::IDepthLivenessEstimator::validate | ( | Span< const Image > | depths,
|  | Span< Result< FSDKError >> | errors
| ) |  | const
| pure virtual noexcept

Validates input of multiple depth maps of face warps in a single function call.

Parameters

  [in] | depths | source Depth images span
  [out] | errors | output span of errors for each image.

Returns
  validation result for the first failed image or FSDKError::Ok

See also
  Image, Span, Result and FSDKError for details.

Note
  depth images format must be Format::R16,

See also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

The documentation for this struct was generated from the following file:

- include/fsdk/Estimators/IDepthLivenessEstimator.h